import { defineConfig } from 'vitepress'
import sidebar from './sidebar'
import nav from './nav'
// https://vitepress.dev/reference/site-config
export default defineConfig({
  title: "源码阅读",
  description: "记录源码阅读记录",
  srcDir: 'src',
  // lastUpdated: true,
  outDir: './dist',
  markdown: {
    container: {
      tipLabel: '提示',
      warningLabel: '警告',
      dangerLabel: '危险',
      infoLabel: 'info',
      detailsLabel: '点我查看'
    },
    image: {
      // 默认禁用图片懒加载
      lazyLoading: true
    },
  },
  sitemap: {
    hostname: 'https://www.xiaokeaii.top'
  },
  themeConfig: {
    outlineTitle: '页面导航',
    // https://vitepress.dev/reference/default-theme-config
    nav: nav,
    sidebar: sidebar,
    outline: {
      level: [2, 6]
    },
    socialLinks: [
      { icon: 'github', link: 'https://github.com/vuejs/vitepress' }
    ],
    search: {
      provider: 'local'
    },
    // lastUpdatedText: "最近更新时间",
    docFooter: { prev: '上一篇', next: '下一篇' },
    footer: {
      message: '<a href="https://beian.miit.gov.cn/" target="_blank"> 豫ICP备2023030549号-1</a>',
      copyright: 'Copyright © 2024'
    }
  }
})
